
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest7 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test001"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.45447789746623485d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.45d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test002"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1);
    incrementor1.resetCount();
    incrementor1.setMaximalCount(8);
    incrementor1.setMaximalCount(3);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(67.0801295585082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.220685387296625d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test004"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.6024447430000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9242357744083582d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test005"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.9999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9999999f);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.1509969089955654d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test007"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(800.00006f, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 204800.02f);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test008"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setMaxEvaluations(1);
    dormandPrince853Integrator4.setMaxGrowth((-0.3035033864877996d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.8771028714485558d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test009"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double d5 = dormandPrince853Integrator4.getSafety();
    dormandPrince853Integrator4.setStepSizeControl(0.2349237886176038d, 2.99822295029797d, 1.0277217371911735d, 4.61512051684126d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler11 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler11);
    dormandPrince853Integrator4.setSafety(14.091155575971483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test010"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)7.6293945E-6f, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array9);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = mathArithmeticException16.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test011"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.2999999999999998d), (-0.5523662513004503d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test012"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.192093E-7f, 25600.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test013"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.36202359388709643d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4480943755483857d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test014"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.setMaxGrowth(0.5753506737050571d);
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver33 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler29, (-58.0d), 1.1752011936438014d, 0, univariateRealSolver33);
    double d35 = dormandPrince853Integrator4.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.9d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test015"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-1023), 9);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1023));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test016"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.1641532E-10f, 101.0f, (-28));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test017"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    java.lang.String str25 = dormandPrince853Integrator4.getName();
    double d26 = dormandPrince853Integrator4.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.25203278202043483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8255766010623269d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test019"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.09050882855019675d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test020"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.04575749056067512d), 0.3008475262099836d, 0.20134682356772757d, 1.3404432372112662d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test021"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(25599.994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 25599.994f);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test022"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 8);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.8772556760938324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8772556760938324d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test024"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver17 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 3.761409990259714d, 0.5753506737050571d, 2147483647, univariateRealSolver17);
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setMaxGrowth(0.5529523200824553d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test025"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(0, 9);
    int i3 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test026"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)800.0f, (java.lang.Number)1, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test027"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler15 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler15);
    double d17 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setMinReduction((-0.3576740230512749d));
    double d20 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMinReduction(0.4622149098785495d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler24 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler24);
    int i26 = dormandPrince853Integrator4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.8771028714485558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2147483647);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test028"); }


    int i1 = org.apache.commons.math.util.FastMath.round(800.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 800);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.19331221760108017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1957756945773873d));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(5.2982923656105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test033"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    double d19 = dormandPrince853Integrator4.getCurrentStepStart();
    double d20 = dormandPrince853Integrator4.getCurrentStepStart();
    double d21 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    int i22 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE23 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE23, 0.007613699151718153d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.8771028714485558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2147483647);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test034"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.clearEventHandlers();
    int i16 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl((-0.5716362575716586d), (-0.7094274949459086d), 0.20667422749111894d, 0.3436743255669635d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test035"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(1.6007918294259178d, (-0.030004501822747616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.03000450182274772d));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(9.755275487547483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4686444965401393d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test037"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler20, 1.1752011936438014d, 0.0d, (-1));
    double d25 = dormandPrince853Integrator4.getMinStep();
    double d26 = dormandPrince853Integrator4.getMaxGrowth();
    double d27 = dormandPrince853Integrator4.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test038"); }


    float f3 = org.apache.commons.math.util.Precision.round(1.972153E-31f, 100, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test039"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.35205974611036456d, (-0.9952731515503572d), (-0.045757490560675115d), 0.0d);
    dormandPrince853Integrator4.setStepSizeControl((-5.551115123125783E-17d), 0.46756876099275d, (-0.6199006717693615d), 2.465190328815662E-32d);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver14 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler10, 0.19866933079506122d, 0.0d, 0, univariateRealSolver14);
    int i16 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.setMinReduction((-1.5707963267948966d));
    java.util.Collection collection19 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setStepSizeControl(0.3653492018970865d, 0.9063498267812509d, 0.0d, 0.7552881087065078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test040"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(13, 143);
    int i3 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0341625317378642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test042"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.35205974611036456d, (-0.9952731515503572d), (-0.045757490560675115d), 0.0d);
    dormandPrince853Integrator4.setStepSizeControl((-5.551115123125783E-17d), 0.46756876099275d, (-0.6199006717693615d), 2.465190328815662E-32d);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver14 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler10, 0.19866933079506122d, 0.0d, 0, univariateRealSolver14);
    java.lang.String str16 = dormandPrince853Integrator4.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str16.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test043"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.3015313102593261d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test044"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    dormandPrince853Integrator4.clearStepHandlers();
    double d16 = dormandPrince853Integrator4.getMinReduction();
    int i17 = dormandPrince853Integrator4.getOrder();
    java.util.Collection collection18 = dormandPrince853Integrator4.getEventHandlers();
    double d19 = dormandPrince853Integrator4.getSafety();
    dormandPrince853Integrator4.setMaxEvaluations(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.3440585709080678E43d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test045"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-13.879731724872837d));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str7 = numberIsTooSmallException6.toString();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)7.6293945E-6f, obj_array13);
    java.lang.Throwable[] throwable_array16 = maxCountExceededException15.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException6, localizable8, (java.lang.Object[])throwable_array16);
    boolean b18 = numberIsTooSmallException6.getBoundIsAllowed();
    java.lang.Number number19 = numberIsTooSmallException6.getMin();
    maxCountExceededException1.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    java.lang.Throwable[] throwable_array21 = numberIsTooSmallException6.getSuppressed();
    boolean b22 = numberIsTooSmallException6.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str7.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0L+ "'", number19.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.158318956316639d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1845753636362386d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test047"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.3808196560341965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.6749209381350227d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test049"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)67.08012955850819d, (java.lang.Number)1.2065299964591305d, false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test050"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(25600.0f, 6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test051"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-56));
    int i5 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-56));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test052"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3L, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException4.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    boolean b8 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException13 = new org.apache.commons.math.exception.DimensionMismatchException(localizable10, 0, 8);
    java.lang.Throwable[] throwable_array14 = dimensionMismatchException13.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = mathArithmeticException15.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = mathArithmeticException15.getContext();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathArithmeticException15);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = mathArithmeticException15.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test053"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.9721527E-31f, 5.820766E-11f, 56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.8018981518919085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test055"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1023), maxCountExceededCallback1);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test056"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-1.0f));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1.0f)+ "'", number2.equals((-1.0f)));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test057"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.6321205588285577d), (-56));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.772434984379819E-18d));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test058"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    double d20 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setMaxEvaluations((-127));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver27 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler23, (-0.23003428128453662d), (-744.4400719213812d), 8, univariateRealSolver27);
    dormandPrince853Integrator4.clearEventHandlers();
    java.util.Collection collection30 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection30);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test059"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(3.4028236E36f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.402824E36f);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test060"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array11 = new double[] { 10.0d, 10.0d };
    double[] d_array12 = new double[] {  };
    dormandPrince853Integrator6.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array11, d_array12);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array25 = new double[] { 10.0d, 10.0d };
    double[] d_array26 = new double[] {  };
    dormandPrince853Integrator20.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array25, d_array26);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array37 = new double[] { 10.0d, 10.0d };
    double[] d_array38 = new double[] {  };
    dormandPrince853Integrator32.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array37, d_array38);
    int i40 = dormandPrince853Integrator32.getEvaluations();
    dormandPrince853Integrator32.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator32.clearStepHandlers();
    dormandPrince853Integrator32.clearEventHandlers();
    double[] d_array52 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array62 = new double[] { 10.0d, 10.0d };
    double[] d_array63 = new double[] {  };
    dormandPrince853Integrator57.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array62, d_array63);
    dormandPrince853Integrator32.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array52, d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.2250738585072014E-308d, 0.0d, d_array25, d_array52);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.3520597461103646d, 3.141592653589793d, d_array12, d_array52);
    dormandPrince853Integrator67.setStepSizeControl(0.0d, 0.45102681179626236d, 13.879731724872837d, 19.049875621120893d);
    int i73 = dormandPrince853Integrator67.getOrder();
    dormandPrince853Integrator67.setMinReduction(0.5635027864249266d);
    double d76 = dormandPrince853Integrator67.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test061"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-1.1379402282997417d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test062"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.4113463532030437d, 1.0460866837610099d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.05072074088145066d));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test063"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.3520597461103646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.338508602733464d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test064"); }


    double d2 = org.apache.commons.math.util.Precision.round(133.152804930721d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 130.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.36812666360163915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test066"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)7.6293945E-6f, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = mathArithmeticException14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test067"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.16976039679152657d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.16976039679152657d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test068"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.35205974611036456d, (-0.9952731515503572d), (-0.045757490560675115d), 0.0d);
    dormandPrince853Integrator4.setStepSizeControl((-5.551115123125783E-17d), 0.46756876099275d, (-0.6199006717693615d), 2.465190328815662E-32d);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver14 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler10, 0.19866933079506122d, 0.0d, 0, univariateRealSolver14);
    int i16 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.setMinReduction((-1.5707963267948966d));
    java.util.Collection collection19 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler20 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler20);
    int i22 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 8);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test069"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.0232286485835334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7968786394516824d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test070"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    double d19 = dormandPrince853Integrator4.getMinReduction();
    double d20 = dormandPrince853Integrator4.getMaxStep();
    double d21 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.setSafety(0.9d);
    dormandPrince853Integrator4.setSafety(1.274526125422991d);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver30 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler26, 0.0d, 0.009964435826900875d, 0, univariateRealSolver30);
    int i32 = dormandPrince853Integrator4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.015707963267948967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5550877174911162d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test072"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.setMaxGrowth(0.5753506737050571d);
    dormandPrince853Integrator4.setSafety(0.46756876099274997d);
    java.util.Collection collection31 = dormandPrince853Integrator4.getStepHandlers();
    double d32 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.5753506737050571d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test073"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)7.6293945E-6f, obj_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)1L, obj_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = maxCountExceededException9.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = maxCountExceededException9.getContext();
    java.lang.Throwable[] throwable_array12 = maxCountExceededException9.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext13 = maxCountExceededException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.5808864850955797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6637996166708092d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test075"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(3.621254592508695E29d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 98);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.6007693639970197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test077"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(8.105223980198053E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test078"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(0, 800);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test079"); }


    int i2 = org.apache.commons.math.util.FastMath.max(101, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 101);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test080"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    java.util.Collection collection13 = dormandPrince853Integrator4.getStepHandlers();
    double d14 = dormandPrince853Integrator4.getMaxGrowth();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array26 = new double[] { 10.0d, 10.0d };
    double[] d_array27 = new double[] {  };
    dormandPrince853Integrator21.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array26, d_array27);
    double[] d_array33 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array43 = new double[] { 10.0d, 10.0d };
    double[] d_array44 = new double[] {  };
    dormandPrince853Integrator38.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array43, d_array44);
    int i46 = dormandPrince853Integrator38.getEvaluations();
    dormandPrince853Integrator38.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator38.clearStepHandlers();
    dormandPrince853Integrator38.clearEventHandlers();
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array68 = new double[] { 10.0d, 10.0d };
    double[] d_array69 = new double[] {  };
    dormandPrince853Integrator63.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array68, d_array69);
    dormandPrince853Integrator38.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array58, d_array69);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array33, d_array69);
    dormandPrince853Integrator4.setStepSizeControl(0.621393123235504d, 0.46864463088223396d, d_array27, d_array69);
    double d74 = dormandPrince853Integrator4.getSafety();
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.9d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test081"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    double d12 = dormandPrince853Integrator4.getSafety();
    double d13 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.setMaxGrowth(5.551115123125783E-17d);
    int i16 = dormandPrince853Integrator4.getOrder();
    double d17 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.8771028714485558d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test082"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    int i18 = dormandPrince853Integrator4.getOrder();
    int i19 = dormandPrince853Integrator4.getEvaluations();
    double d20 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test083"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, (-56));
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.0f);
    java.lang.String str6 = maxCountExceededException5.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = maxCountExceededException5.getContext();
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)maxCountExceededException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (1) exceeded"+ "'", str6.equals("org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test084"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.5063610432224765d, 1.0255887029643134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.06167192367668524d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test085"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.9999999f, 400.0f, 25599.998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test086"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.clearStepHandlers();
    double d26 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler27 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler27);
    int i29 = dormandPrince853Integrator4.getEvaluations();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE30 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE30, 0.2d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test087"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.0f, (java.lang.Number)1014.10401684842d, true);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test088"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(2.7755575615628914E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test089"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1);
    incrementor1.resetCount();
    boolean b3 = incrementor1.canIncrement();
    boolean b4 = incrementor1.canIncrement();
    int i5 = incrementor1.getMaximalCount();
    boolean b6 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.25203278202043483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6316633478676604d));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test091"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(3.7252907E-9f, 14, 56);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test092"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setStepSizeControl(2.465190328815662E-32d, 1.1102230246251565E-16d, 2.7d, (-1.0d));
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver29 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler25, 2.718281828459045d, 0.005777535458039795d, (-1), univariateRealSolver29);
    double[] d_array36 = new double[] { 100.0d, 1.0d, (-1.0d) };
    double[] d_array41 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array51 = new double[] { 10.0d, 10.0d };
    double[] d_array52 = new double[] {  };
    dormandPrince853Integrator46.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array51, d_array52);
    int i54 = dormandPrince853Integrator46.getEvaluations();
    dormandPrince853Integrator46.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator46.clearStepHandlers();
    dormandPrince853Integrator46.clearEventHandlers();
    double[] d_array66 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array76 = new double[] { 10.0d, 10.0d };
    double[] d_array77 = new double[] {  };
    dormandPrince853Integrator71.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array76, d_array77);
    dormandPrince853Integrator46.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array66, d_array77);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator80 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array41, d_array77);
    dormandPrince853Integrator4.setStepSizeControl(0.0d, 2.718281828459045d, d_array36, d_array41);
    dormandPrince853Integrator4.setInitialStepSize(0.0d);
    dormandPrince853Integrator4.setStepSizeControl(0.9274518680906612d, 0.0d, (-58.0d), 0.45447789746623485d);
    double d89 = dormandPrince853Integrator4.getCurrentStepStart();
    java.util.Collection collection90 = dormandPrince853Integrator4.getEventHandlers();
    dormandPrince853Integrator4.setInitialStepSize(120583.77539617203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection90);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.2286541122328807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.22670713750581947d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test094"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.1112229055598202d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test095"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.1028808457359576d, 1.2748734119735194E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test096"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(8);
    boolean b2 = incrementor1.canIncrement();
    boolean b3 = incrementor1.canIncrement();
    incrementor1.incrementCount();
    int i5 = incrementor1.getMaximalCount();
    incrementor1.incrementCount((-94));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 8);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test097"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    double d25 = dormandPrince853Integrator4.getMaxStep();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler26);
    double d28 = dormandPrince853Integrator4.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test098"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, 2147483647);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test099"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException9 = new org.apache.commons.math.exception.DimensionMismatchException(localizable6, 10, 0);
    numberIsTooSmallException5.addSuppressed((java.lang.Throwable)dimensionMismatchException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)7.6293945E-6f, obj_array15);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = maxCountExceededException17.getContext();
    numberIsTooSmallException5.addSuppressed((java.lang.Throwable)maxCountExceededException17);
    java.lang.Throwable[] throwable_array20 = maxCountExceededException17.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array20);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test100"); }


    double d3 = org.apache.commons.math.util.Precision.round(2.3693207897104474d, (-24), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test101"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9871730947148204d, (-2.2382549643611687d), 0.0d, 1.9440808922903723d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test102"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    java.util.Collection collection20 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setInitialStepSize(Double.NEGATIVE_INFINITY);
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test103"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(2147483647, 100);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator7 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array12 = new double[] { 10.0d, 10.0d };
    double[] d_array13 = new double[] {  };
    dormandPrince853Integrator7.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array12, d_array13);
    int i15 = dormandPrince853Integrator7.getEvaluations();
    dormandPrince853Integrator7.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d21 = dormandPrince853Integrator7.getCurrentStepStart();
    double d22 = dormandPrince853Integrator7.getMinReduction();
    double d23 = dormandPrince853Integrator7.getMinStep();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    dormandPrince853Integrator7.addEventHandler(eventHandler24, Double.POSITIVE_INFINITY, (-0.3576740230512749d), 0);
    dormandPrince853Integrator7.clearStepHandlers();
    double[] d_array38 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array48 = new double[] { 10.0d, 10.0d };
    double[] d_array49 = new double[] {  };
    dormandPrince853Integrator43.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array48, d_array49);
    int i51 = dormandPrince853Integrator43.getEvaluations();
    dormandPrince853Integrator43.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator43.clearStepHandlers();
    dormandPrince853Integrator43.clearEventHandlers();
    double[] d_array63 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array73 = new double[] { 10.0d, 10.0d };
    double[] d_array74 = new double[] {  };
    dormandPrince853Integrator68.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array73, d_array74);
    dormandPrince853Integrator43.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array63, d_array74);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator77 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array38, d_array74);
    double[] d_array80 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.24224701789254274d, (-3.1619567594510163d), d_array38, d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array91 = new double[] { 10.0d, 10.0d };
    double[] d_array92 = new double[] {  };
    dormandPrince853Integrator86.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array91, d_array92);
    dormandPrince853Integrator7.setStepSizeControl(2.7d, 0.46756876099274997d, d_array80, d_array92);
    double[] d_array95 = null;
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array80, d_array95);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test104"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 24);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test105"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.7596018435228082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test106"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(4.61512051684126d, (-3.1396183284285795d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.168170964870716d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test107"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler20, 1.1752011936438014d, 0.0d, (-1));
    double d25 = dormandPrince853Integrator4.getCurrentStepStart();
    double d26 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test108"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(6);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver26 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler22, 0.33309162441127294d, 0.7224284372420832d, 34, univariateRealSolver26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test109"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.1179291538988335d, 0.6094875393187565d, (-0.13095679421334733d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test110"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)7.6293945E-6f, obj_array8);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)1L, obj_array8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = maxCountExceededException11.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext13 = maxCountExceededException11.getContext();
    java.lang.Throwable[] throwable_array14 = maxCountExceededException11.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.34516503855262587d, (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test111"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.7099486715855883d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test112"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(0, 9);
    int i3 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 9);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test113"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(204800.02f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 204800.02f);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test114"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.8993522804897933d, 0.8059306041850851d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.8993522804897933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7324571304267994d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test116"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)7.6293945E-6f, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)1L, obj_array9);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext13 = maxCountExceededException12.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = maxCountExceededException12.getContext();
    java.lang.Throwable[] throwable_array15 = maxCountExceededException12.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)1.0f, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test117"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)56);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test118"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.5997823587707154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test119"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    java.util.Collection collection13 = dormandPrince853Integrator4.getStepHandlers();
    int i14 = dormandPrince853Integrator4.getOrder();
    int i15 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.233403117511217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.803526483887458d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test121"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6700224720606742d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test122"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(8, 0);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException6, localizable7, obj_array11);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array20);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)7.6293945E-6f, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, obj_array20);
    numberIsTooSmallException6.addSuppressed((java.lang.Throwable)mathIllegalStateException23);
    java.lang.String str25 = numberIsTooSmallException6.toString();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str25.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test123"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(7.629395E-6f, 0.0f, 3.7252903E-9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test124"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(133.152804930721d, 0.6334664975200224d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6334664975200326d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test125"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)4.77621922771356d, (java.lang.Number)0.010014246123940657d, false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test126"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    int i15 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.setMaxEvaluations(100);
    double d18 = dormandPrince853Integrator4.getSafety();
    int i19 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test127"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMinReduction(0.2349237886176038d);
    java.util.Collection collection18 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test128"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-24), maxCountExceededCallback1);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(8.953509330946752E-155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test130"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.0000001f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test131"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    java.lang.String str25 = dormandPrince853Integrator4.getName();
    java.util.Collection collection26 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setStepSizeControl(0.43649968118873705d, 1.256350792761916d, 1.1897945154140188d, 0.8766719373404234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test132"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.3196746799088837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.31425773862307665d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test133"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(6, maxCountExceededCallback1);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test134"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.9993292997390669d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test135"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.1641532E-10f, 9.76563E-4f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test136"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(9.536747E-7f, 10.000001f, 25600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test137"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(2.4758801E27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.4758804E27f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test138"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 3.761409990259714d, 1.5707963267948966d, 1, univariateRealSolver23);
    java.util.Collection collection25 = dormandPrince853Integrator4.getEventHandlers();
    int i26 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 8);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test139"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.36787944117144233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test140"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    double d15 = dormandPrince853Integrator4.getSafety();
    double[] d_array17 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array29 = new double[] { 10.0d, 10.0d };
    double[] d_array30 = new double[] {  };
    dormandPrince853Integrator24.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array29, d_array30);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator36 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array41 = new double[] { 10.0d, 10.0d };
    double[] d_array42 = new double[] {  };
    dormandPrince853Integrator36.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array41, d_array42);
    int i44 = dormandPrince853Integrator36.getEvaluations();
    dormandPrince853Integrator36.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator36.clearStepHandlers();
    dormandPrince853Integrator36.clearEventHandlers();
    double[] d_array56 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array66 = new double[] { 10.0d, 10.0d };
    double[] d_array67 = new double[] {  };
    dormandPrince853Integrator61.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array66, d_array67);
    dormandPrince853Integrator36.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array56, d_array67);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator70 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.2250738585072014E-308d, 0.0d, d_array29, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.computeDerivatives(0.008252803988201267d, d_array17, d_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test141"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 0.9708014010617059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.5523662513004501d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5247030510069685d));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test143"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.9721523E-31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-102));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.9242357744083582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test145"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.6603727668326517d), (java.lang.Number)(-1.0d), false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test146"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.045725595735029295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04469593426211329d));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test147"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    double[] d_array24 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array34 = new double[] { 10.0d, 10.0d };
    double[] d_array35 = new double[] {  };
    dormandPrince853Integrator29.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array34, d_array35);
    dormandPrince853Integrator4.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array24, d_array35);
    int i38 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations((-1));
    dormandPrince853Integrator4.setSafety(0.2399381622927159d);
    double d43 = dormandPrince853Integrator4.getSafety();
    java.util.Collection collection44 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.2399381622927159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection44);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test148"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 1.2717243136431622d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2717243136431622d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test149"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    double d19 = dormandPrince853Integrator4.getMinReduction();
    double d20 = dormandPrince853Integrator4.getMaxStep();
    double d21 = dormandPrince853Integrator4.getMaxGrowth();
    int i22 = dormandPrince853Integrator4.getOrder();
    double d23 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.setMinReduction(0.0610741573326832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test150"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-0.3602816555183177d), 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test151"); }


    int i2 = org.apache.commons.math.util.FastMath.max(2147483647, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483647);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test152"); }


    float f2 = org.apache.commons.math.util.FastMath.max(Float.POSITIVE_INFINITY, 9.313228E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test153"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(795.2500486090478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test154"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 3.761409990259714d, 1.5707963267948966d, 1, univariateRealSolver23);
    java.util.Collection collection25 = dormandPrince853Integrator4.getEventHandlers();
    double d26 = dormandPrince853Integrator4.getSafety();
    double d27 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test155"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.5322035569774646d, (-0.029995502631021312d), 42.38047677847501d, 1.6487212707001282d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test156"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    java.util.Collection collection20 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setInitialStepSize(Double.NEGATIVE_INFINITY);
    double d23 = dormandPrince853Integrator4.getMaxGrowth();
    int i24 = dormandPrince853Integrator4.getMaxEvaluations();
    java.util.Collection collection25 = dormandPrince853Integrator4.getEventHandlers();
    dormandPrince853Integrator4.setSafety((-0.6316633478676604d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test157"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(8, 13);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-7.98618867734007E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.986187828418978E-4d));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test159"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-10), 1);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str10 = numberIsTooSmallException9.toString();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)7.6293945E-6f, obj_array16);
    java.lang.Throwable[] throwable_array19 = maxCountExceededException18.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException9, localizable11, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)(-2.0d), (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)1);
    maxCountExceededException21.addSuppressed((java.lang.Throwable)maxCountExceededException23);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)maxCountExceededException21);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext26 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str10.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext26);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test160"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.953125E-4d, 0.005777599743662094d, 0.4925233676494167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test161"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.0255887029643134d, (java.lang.Number)1.1102230246251565E-16d, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.1102230246251565E-16d+ "'", number4.equals(1.1102230246251565E-16d));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(3.4028236E36f, 143, 14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test163"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-34), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-34));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test164"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver17 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 3.761409990259714d, 0.5753506737050571d, 2147483647, univariateRealSolver17);
    int i19 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(0.6499499288820838d, 6.610564144225437E21d, (-0.9899924966004454d), 0.2066742274911189d);
    dormandPrince853Integrator4.setMaxEvaluations((-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2147483647);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test165"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    int i15 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.setMaxEvaluations(100);
    double d18 = dormandPrince853Integrator4.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 1.0662493839518905d, 0.9958956531456853d, 100);
    java.util.Collection collection24 = dormandPrince853Integrator4.getEventHandlers();
    java.lang.String str25 = dormandPrince853Integrator4.getName();
    dormandPrince853Integrator4.setInitialStepSize((-0.2300342812845366d));
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test166"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, (-89));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-89));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test167"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-10), 0);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable7, (java.lang.Number)3L, (java.lang.Number)(byte)100, false);
    boolean b12 = numberIsTooSmallException11.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array13 = numberIsTooSmallException11.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, (java.lang.Object[])throwable_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable4, (java.lang.Object[])throwable_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test168"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)7.6293945E-6f, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)1L, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, number2, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test169"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(3.7252916E-9f, 800.00006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.7252916E-9f);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test170"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test171"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.09171555865955267d, 58.761904196151356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 58.761904196151356d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test172"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.5430806348152437d, (-0.9999999999999997d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test173"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.06167192367668524d, 1.5636492769869141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5648650061879723d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test174"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMaxGrowth((-0.18461884217361538d));
    double d22 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE23 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE23, 1.4028894178928593d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.8771028714485558d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test175"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(8.4703295E-22f, 0.5714802367263321d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.47033E-22f);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test176"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.clearEventHandlers();
    double d16 = dormandPrince853Integrator4.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test177"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.665096604758711d, (java.lang.Number)0.18531646621008646d, false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.18531646621008646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.6856902871991015d));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test179"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)1);
    java.lang.Throwable[] throwable_array2 = maxCountExceededException1.getSuppressed();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)1+ "'", number3.equals((byte)1));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test180"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.960466E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test181"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.158318956316639d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.158318956316639d+ "'", number2.equals(1.158318956316639d));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test182"); }


    double d3 = org.apache.commons.math.util.Precision.round(0.5991392128314927d, (-94), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E94d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test183"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.055287372175112d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test184"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-10), 0);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(short)1, (java.lang.Number)(-1.0f), false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str12 = numberIsTooSmallException11.toString();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable14, (java.lang.Number)7.6293945E-6f, obj_array18);
    java.lang.Throwable[] throwable_array21 = maxCountExceededException20.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException11, localizable13, (java.lang.Object[])throwable_array21);
    boolean b23 = numberIsTooSmallException11.getBoundIsAllowed();
    numberIsTooSmallException7.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    java.lang.Number number25 = numberIsTooSmallException11.getArgument();
    boolean b26 = numberIsTooSmallException11.getBoundIsAllowed();
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str35 = numberIsTooSmallException34.toString();
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, obj_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException43 = new org.apache.commons.math.exception.MaxCountExceededException(localizable37, (java.lang.Number)7.6293945E-6f, obj_array41);
    java.lang.Throwable[] throwable_array44 = maxCountExceededException43.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException34, localizable36, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException(localizable29, (java.lang.Number)0.35205974611036456d, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException11, localizable28, (java.lang.Object[])throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str12.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 2.99822295029797d+ "'", number25.equals(2.99822295029797d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str35.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test185"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.3808196560341963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test186"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.3808196560341965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.7661699141451667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7661699141451668d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.369438406004566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8394457710202696d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test189"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setStepSizeControl(1.3440585709080678E43d, 0.3520597461103646d, 0.0d, (-1.4735278632514666d));
    double d31 = dormandPrince853Integrator4.getMinReduction();
    int i32 = dormandPrince853Integrator4.getOrder();
    java.lang.String str33 = dormandPrince853Integrator4.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str33.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test190"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(4.77621922771356d, (-0.18497703673292018d), 104.10619674596931d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test191"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(8, 100);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 8);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test192"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0040987208853167d, 1.4183685355253863d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4183685355253863d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test193"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(0);
    incrementor1.setMaximalCount(3);
    int i4 = incrementor1.getCount();
    int i5 = incrementor1.getCount();
    int i6 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 3);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test194"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    dormandPrince853Integrator4.clearStepHandlers();
    double d16 = dormandPrince853Integrator4.getMinReduction();
    double d17 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d18 = dormandPrince853Integrator4.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.8771028714485558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.36028165551831776d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test195"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.1845753636362386d, 0.3500964078686085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1845753636362386d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test196"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 13);
    double[] d_array6 = new double[] { 10.0d, 1.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array16 = new double[] { 10.0d, 10.0d };
    double[] d_array17 = new double[] {  };
    dormandPrince853Integrator11.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array16, d_array17);
    int i19 = dormandPrince853Integrator11.getEvaluations();
    dormandPrince853Integrator11.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator11.clearStepHandlers();
    dormandPrince853Integrator11.clearEventHandlers();
    double[] d_array31 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator36 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array41 = new double[] { 10.0d, 10.0d };
    double[] d_array42 = new double[] {  };
    dormandPrince853Integrator36.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array41, d_array42);
    dormandPrince853Integrator11.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array31, d_array42);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array6, d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.6304296267126763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9896719262991133d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test198"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.9440808922903723d, 0.46864463088223396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3342471349383795d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test199"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.5309480002027447d, 3.1241411329383273d, (-0.029995501012477988d), 0.9993292997390669d);
    double d5 = dormandPrince853Integrator4.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.5309480002027447d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-4.753664499113496d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.0d));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test201"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-56), (-4));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test202"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-127), 3);
    int i3 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-127));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test203"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(0);
    double[] d_array24 = new double[] {  };
    double[] d_array29 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array39 = new double[] { 10.0d, 10.0d };
    double[] d_array40 = new double[] {  };
    dormandPrince853Integrator34.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array39, d_array40);
    int i42 = dormandPrince853Integrator34.getEvaluations();
    dormandPrince853Integrator34.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator34.clearStepHandlers();
    dormandPrince853Integrator34.clearEventHandlers();
    double[] d_array54 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array64 = new double[] { 10.0d, 10.0d };
    double[] d_array65 = new double[] {  };
    dormandPrince853Integrator59.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array64, d_array65);
    dormandPrince853Integrator34.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array54, d_array65);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array29, d_array65);
    dormandPrince853Integrator4.setStepSizeControl((-0.9952731515503572d), 0.005777535458039795d, d_array24, d_array29);
    double d70 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.setMaxEvaluations(2147483647);
    int i73 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test204"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    int i18 = dormandPrince853Integrator4.getOrder();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    double d20 = dormandPrince853Integrator4.getMaxGrowth();
    double d21 = dormandPrince853Integrator4.getMinStep();
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler22, 2.465190328815662E-32d, 1.0d, 13);
    dormandPrince853Integrator4.setStepSizeControl((-0.11820268976882116d), 5.2982923656105d, 4.898979485566358d, 2.432892215913484d);
    dormandPrince853Integrator4.setStepSizeControl(0.7224284372420832d, 0.30105291684550584d, 1.5063610432224765d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test205"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(100);
    int i2 = incrementor1.getMaximalCount();
    boolean b3 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(10.000001f, (-1023), 800);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test207"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(13, 2147483647);
    int i3 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test208"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.2451855E34f, (-0.0f), 98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test209"); }


    float f2 = org.apache.commons.math.util.FastMath.max(Float.NEGATIVE_INFINITY, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.9604645E-8f);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test210"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.164087759429598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0134926295395046d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test211"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str5 = numberIsTooSmallException4.toString();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str11 = numberIsTooSmallException10.toString();
    java.lang.Number number12 = numberIsTooSmallException10.getMin();
    java.lang.Throwable[] throwable_array13 = numberIsTooSmallException10.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, (java.lang.Object[])throwable_array13);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathIllegalStateException14);
    java.lang.Throwable[] throwable_array16 = mathIllegalStateException14.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str5.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str11.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0L+ "'", number12.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test212"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.3437894062220135d, 1.0460866837610099d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.3437894062220135d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test213"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(10, (-28));
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 10+ "'", number3.equals(10));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test214"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.clearStepHandlers();
    int i26 = dormandPrince853Integrator4.getOrder();
    double d27 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test215"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.20029392732876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8110993174890584d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.492607843637492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.789769651175633d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test217"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.5743918558097856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test218"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setStepSizeControl(2.465190328815662E-32d, 1.1102230246251565E-16d, 2.7d, (-1.0d));
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver29 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler25, 2.718281828459045d, 0.005777535458039795d, (-1), univariateRealSolver29);
    double[] d_array36 = new double[] { 100.0d, 1.0d, (-1.0d) };
    double[] d_array41 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array51 = new double[] { 10.0d, 10.0d };
    double[] d_array52 = new double[] {  };
    dormandPrince853Integrator46.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array51, d_array52);
    int i54 = dormandPrince853Integrator46.getEvaluations();
    dormandPrince853Integrator46.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator46.clearStepHandlers();
    dormandPrince853Integrator46.clearEventHandlers();
    double[] d_array66 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array76 = new double[] { 10.0d, 10.0d };
    double[] d_array77 = new double[] {  };
    dormandPrince853Integrator71.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array76, d_array77);
    dormandPrince853Integrator46.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array66, d_array77);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator80 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array41, d_array77);
    dormandPrince853Integrator4.setStepSizeControl(0.0d, 2.718281828459045d, d_array36, d_array41);
    dormandPrince853Integrator4.setInitialStepSize(0.0d);
    dormandPrince853Integrator4.setStepSizeControl(0.9274518680906612d, 0.0d, (-58.0d), 0.45447789746623485d);
    double d89 = dormandPrince853Integrator4.getCurrentStepStart();
    java.util.Collection collection90 = dormandPrince853Integrator4.getEventHandlers();
    double d91 = dormandPrince853Integrator4.getCurrentStepStart();
    double d92 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.8771028714485558d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test219"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(5.820766E-11f, 0.0f, 1.2207031E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test220"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.2286541122328807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.5236784359767195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.185582978374261d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test222"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.8788884803426996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.770030196908725d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test223"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.6155871E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.6155873E-27f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test224"); }


    int i1 = org.apache.commons.math.util.FastMath.round(3.402824E36f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test225"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(short)100, (java.lang.Number)0.48598856403145557d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test226"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.0d, 2.8616853179202546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.8616853179202546d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test227"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0911050418008485d, 0.511245860981947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test228"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-1.5766115056458645d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5766115056458643d));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test229"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.9721527E-31f, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.465191E-32f);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test230"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    double d19 = dormandPrince853Integrator4.getMinReduction();
    double d20 = dormandPrince853Integrator4.getMaxStep();
    double d21 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.setMaxEvaluations(98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test231"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    dormandPrince853Integrator4.clearStepHandlers();
    double d16 = dormandPrince853Integrator4.getMinReduction();
    double d17 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setMaxGrowth(0.8369353993273301d);
    dormandPrince853Integrator4.setSafety(0.7241359194704644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.8771028714485558d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.45960311115695d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test233"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setStepSizeControl(2.465190328815662E-32d, 1.1102230246251565E-16d, 2.7d, (-1.0d));
    java.util.Collection collection25 = dormandPrince853Integrator4.getEventHandlers();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler26);
    dormandPrince853Integrator4.setStepSizeControl(0.12214831466536635d, (-0.6199006717693615d), 0.00631850368323265d, (-0.30452029344714243d));
    double d33 = dormandPrince853Integrator4.getCurrentStepStart();
    dormandPrince853Integrator4.setSafety(1.8049161027374483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test234"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.059306170823243d, 0.20134682356772757d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test235"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(5.9604666E-8f, 1.4210855E-14f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test236"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1028808457359573d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3404597637888327d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test237"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.4728508376726662d, 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4728508376726662d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test238"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)7.6293945E-6f, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.5862374310524393d, obj_array10);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = maxCountExceededException17.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test239"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0f, 9.313228E-10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test240"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(3, 0);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str9 = numberIsTooSmallException8.toString();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)7.6293945E-6f, obj_array15);
    java.lang.Throwable[] throwable_array18 = maxCountExceededException17.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException8, localizable10, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-2.0d), (java.lang.Object[])throwable_array18);
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)maxCountExceededException20);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext22 = maxCountExceededException20.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str9.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test241"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.001953125f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-9));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test242"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.18531646621008646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18427183511299283d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test243"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math.exception.DimensionMismatchException(localizable1, 0, 8);
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array5);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException9 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 100);
    int i10 = dimensionMismatchException9.getDimension();
    mathArithmeticException6.addSuppressed((java.lang.Throwable)dimensionMismatchException9);
    int i12 = dimensionMismatchException9.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test244"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    dormandPrince853Integrator4.clearStepHandlers();
    double d16 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setSafety((-0.6603727668326518d));
    int i19 = dormandPrince853Integrator4.getEvaluations();
    double d20 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.36028165551831776d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test245"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable4, obj_array8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = numberIsTooSmallException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array14);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)mathIllegalArgumentException15);
    java.lang.Number number17 = numberIsTooSmallException3.getMin();
    java.lang.String str18 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0L+ "'", number17.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str18.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test246"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.44356582961691704d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.47666136536329906d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test247"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.7552881087065078d, number2, true);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test248"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.7830291445975839d), 0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7830291445975839d));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.2066742274911189d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0036071457487358047d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test250"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-4.470078764668777E-4d), (-4.753664499113497d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.141498619213738d));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test251"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.6649237511146353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2903192438751874d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test252"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.0232286485835334d, 1.6487212707001282d, 6.744080684607762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test253"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.setMinReduction(3.1241411329383273d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler17 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler17);
    dormandPrince853Integrator4.clearStepHandlers();
    java.util.Collection collection20 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test254"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(6.938893903907228E-18d, (-4.0d), (-0.1957756945773873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test255"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.7496099528475952d, 6.123233995736766E-17d, (-0.6094875393187565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test256"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(3.7252916E-9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test257"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(10240.001f, 5.0487098E-29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test258"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.6073854011196507d, 0.6334664975200224d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(6.848991078230462d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 471.4650727198561d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test260"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)7.6293945E-6f, obj_array10);
    java.lang.Throwable[] throwable_array13 = maxCountExceededException12.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable5, (java.lang.Object[])throwable_array13);
    boolean b15 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number16 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 2.99822295029797d+ "'", number16.equals(2.99822295029797d));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test261"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test262"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.1054274E-15f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test263"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler27 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler27);
    double d29 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.8771028714485558d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test264"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    int i27 = dormandPrince853Integrator4.getMaxEvaluations();
    double d28 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.setMaxEvaluations(5);
    int i31 = dormandPrince853Integrator4.getEvaluations();
    double d32 = dormandPrince853Integrator4.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.4113463532030406d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test265"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.23993816229271592d, 1.7496099528475952d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.23993816229271595d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test266"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1023), 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test267"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)5.551115123125784E-17d, (java.lang.Number)(-0.3291563541878608d), false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test268"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.2748734119735194E-306d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test269"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.013577234446367E-309d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    java.lang.Number number4 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.013577234446367E-309d+ "'", number4.equals(1.013577234446367E-309d));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test270"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.532646487471578d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test271"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(400.0f, 3.7252907E-9f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.16634252218455067d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.40785110295860505d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test273"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)5.960466E-8f, (java.lang.Number)(-0.5595106570525964d), true);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test274"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)7.6293945E-6f, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)1L, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)100.0d, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, localizable1, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test275"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0E-14f, 2.5743918558097856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001E-14f);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test276"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.09473161637591292d, (-0.05105878698961054d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0947316163759129d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test277"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-94), 101);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-94));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test278"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.16557647109660167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test279"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 25600, 128);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test281"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.3576740230512749d, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3576740230512748d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test282"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-0.13095679421334733d), 0.9816825908916348d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test283"); }


    float f2 = org.apache.commons.math.util.Precision.round(0.0f, (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test284"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str6 = numberIsTooSmallException5.toString();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)7.6293945E-6f, obj_array12);
    java.lang.Throwable[] throwable_array15 = maxCountExceededException14.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException5, localizable7, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-2.0d), (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)1);
    maxCountExceededException17.addSuppressed((java.lang.Throwable)maxCountExceededException19);
    java.lang.Number number21 = maxCountExceededException19.getMax();
    java.lang.Number number22 = maxCountExceededException19.getMax();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)1);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable32, obj_array34);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException(localizable30, (java.lang.Number)7.6293945E-6f, obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable29, obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable28, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException26, localizable27, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException19, localizable23, obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str6.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (byte)1+ "'", number21.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (byte)1+ "'", number22.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test285"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.4758801E27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 91);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test286"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    int i5 = dormandPrince853Integrator4.getEvaluations();
    int i6 = dormandPrince853Integrator4.getEvaluations();
    double d7 = dormandPrince853Integrator4.getMinStep();
    int i8 = dormandPrince853Integrator4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.99822295029797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test287"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.7252907E-9f, (-0.99999994f), (-89));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test288"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-1), (-94));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test289"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double d5 = dormandPrince853Integrator4.getSafety();
    dormandPrince853Integrator4.setStepSizeControl(0.2349237886176038d, 2.99822295029797d, 1.0277217371911735d, 4.61512051684126d);
    int i11 = dormandPrince853Integrator4.getEvaluations();
    double d12 = dormandPrince853Integrator4.getMinStep();
    double d13 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler14 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2349237886176038d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test290"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-46), 100);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test291"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.0d, 0.9984636670094295d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test292"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)795.2500486090478d, (java.lang.Number)1.600791829425918d, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.600791829425918d+ "'", number4.equals(1.600791829425918d));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test293"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test294"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.5523662513004503d), 1.6487212707001282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5523662513004503d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test295"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.839237000457844d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7630148794817156d));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test296"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.7596018435228082d, 0.07425214789130652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07425214789130652d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test297"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.7252903E-9f, 3.7252903E-9f, 5.0487098E-29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test298"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver17 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 3.761409990259714d, 0.5753506737050571d, 2147483647, univariateRealSolver17);
    int i19 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(0.6499499288820838d, 6.610564144225437E21d, (-0.9899924966004454d), 0.2066742274911189d);
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2147483647);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test299"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.40651793751176296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test300"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.544351548368472d), 0.3602816555183177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6527798093646683d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test301"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.35205974611036456d, (-0.9952731515503572d), (-0.045757490560675115d), 0.0d);
    double d5 = dormandPrince853Integrator4.getMinStep();
    double d6 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.35205974611036456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.2d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-36.7368005696771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-37.0d));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test303"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(67.07267537221283d, (-0.6199006717693615d), 0.12214831466536635d, 1.0004497638967134d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test304"); }


    int i2 = org.apache.commons.math.util.FastMath.max(143, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 143);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test305"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(0);
    incrementor1.setMaximalCount(5);
    boolean b4 = incrementor1.canIncrement();
    boolean b5 = incrementor1.canIncrement();
    incrementor1.resetCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test306"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.6073854011196507d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test307"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(8, maxCountExceededCallback1);
    incrementor2.setMaximalCount(800);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test308"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.49627485521374276d, (-36.7368005696771d), 58.76190419615136d, 2.7d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(4.220685387296625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.054430672302335d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test310"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, (-2));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test311"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException3.getContext();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2.99822295029797d+ "'", number4.equals(2.99822295029797d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 2.99822295029797d+ "'", number6.equals(2.99822295029797d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test312"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.6969758853495415d, (-0.7094274949459086d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7094274949459086d));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test313"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(98, 34);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test314"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.0f, 100.00001f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test315"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.19240232444172606d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test316"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.718281828459045d, (java.lang.Number)0.3520597461103646d, false);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    java.lang.Number number7 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2.718281828459045d+ "'", number4.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 2.718281828459045d+ "'", number6.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 2.718281828459045d+ "'", number7.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test317"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    int i18 = dormandPrince853Integrator4.getOrder();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    dormandPrince853Integrator4.setSafety(5.551115123125783E-17d);
    dormandPrince853Integrator4.setSafety(0.0911050418008485d);
    double d24 = dormandPrince853Integrator4.getMaxStep();
    int i25 = dormandPrince853Integrator4.getMaxEvaluations();
    java.util.Collection collection26 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test318"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3L, (java.lang.Number)(byte)100, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b7 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b8 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test319"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-2), 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test320"); }


    float f2 = org.apache.commons.math.util.Precision.round(1.192093E-7f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test321"); }


    long long2 = org.apache.commons.math.util.FastMath.min(67L, (-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2L));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test322"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array11 = new double[] { 10.0d, 10.0d };
    double[] d_array12 = new double[] {  };
    dormandPrince853Integrator6.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array11, d_array12);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array25 = new double[] { 10.0d, 10.0d };
    double[] d_array26 = new double[] {  };
    dormandPrince853Integrator20.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array25, d_array26);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array37 = new double[] { 10.0d, 10.0d };
    double[] d_array38 = new double[] {  };
    dormandPrince853Integrator32.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array37, d_array38);
    int i40 = dormandPrince853Integrator32.getEvaluations();
    dormandPrince853Integrator32.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator32.clearStepHandlers();
    dormandPrince853Integrator32.clearEventHandlers();
    double[] d_array52 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array62 = new double[] { 10.0d, 10.0d };
    double[] d_array63 = new double[] {  };
    dormandPrince853Integrator57.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array62, d_array63);
    dormandPrince853Integrator32.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array52, d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.2250738585072014E-308d, 0.0d, d_array25, d_array52);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.3520597461103646d, 3.141592653589793d, d_array12, d_array52);
    dormandPrince853Integrator67.setStepSizeControl(0.0d, 0.45102681179626236d, 13.879731724872837d, 19.049875621120893d);
    dormandPrince853Integrator67.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler74 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver78 = null;
    dormandPrince853Integrator67.addEventHandler(eventHandler74, 0.9242357744083582d, 0.0d, 0, univariateRealSolver78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test323"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.06216472380447491d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test324"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(short)1, (java.lang.Number)(-1.0f), false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str10 = numberIsTooSmallException9.toString();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)7.6293945E-6f, obj_array16);
    java.lang.Throwable[] throwable_array19 = maxCountExceededException18.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException9, localizable11, (java.lang.Object[])throwable_array19);
    boolean b21 = numberIsTooSmallException9.getBoundIsAllowed();
    numberIsTooSmallException5.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)1);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable32, obj_array34);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException(localizable30, (java.lang.Number)7.6293945E-6f, obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable29, obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable28, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException26, localizable27, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException9, localizable23, obj_array34);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str10.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test325"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.789769651175633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9243436887821124d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test326"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)6.3108872417680944E-30d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 6.3108872417680944E-30d+ "'", number2.equals(6.3108872417680944E-30d));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test327"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(56, (-127));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test328"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.6543614E-24f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test329"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)58.761904196151356d, number2, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test330"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-9), maxCountExceededCallback1);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test331"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    boolean b3 = incrementor2.canIncrement();
    int i4 = incrementor2.getCount();
    boolean b5 = incrementor2.canIncrement();
    boolean b6 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test332"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 1.5236784359767204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test333"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(32.22272109804768d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 32.22272109804768d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test334"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.232595164407831E-32d, 0.22670713750581947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.22670713750581947d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test335"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.6080986392168846d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test336"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-2.947055726502933d));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test337"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    double d15 = dormandPrince853Integrator4.getSafety();
    dormandPrince853Integrator4.setStepSizeControl((-0.6199006717693615d), 5.2982923656105d, 5.298292365610484d, 2.7755575615628914E-17d);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array32 = new double[] { 10.0d, 10.0d };
    double[] d_array33 = new double[] {  };
    dormandPrince853Integrator27.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array32, d_array33);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array44 = new double[] { 10.0d, 10.0d };
    double[] d_array45 = new double[] {  };
    dormandPrince853Integrator39.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array44, d_array45);
    int i47 = dormandPrince853Integrator39.getEvaluations();
    dormandPrince853Integrator39.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator39.clearStepHandlers();
    dormandPrince853Integrator39.clearEventHandlers();
    double[] d_array59 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array69 = new double[] { 10.0d, 10.0d };
    double[] d_array70 = new double[] {  };
    dormandPrince853Integrator64.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array69, d_array70);
    dormandPrince853Integrator39.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array59, d_array70);
    dormandPrince853Integrator4.setStepSizeControl(0.9993292997390669d, (-0.9999999999999997d), d_array33, d_array70);
    dormandPrince853Integrator4.setMaxGrowth(0.4636476090008061d);
    double d76 = dormandPrince853Integrator4.getMinReduction();
    int i77 = dormandPrince853Integrator4.getOrder();
    java.util.Collection collection78 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection78);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.492607843637492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6365786008197232d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test339"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-57.295779513082316d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3282.8063500117437d));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test340"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 128);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getDimension();
    double[] d_array6 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array18 = new double[] { 10.0d, 10.0d };
    double[] d_array19 = new double[] {  };
    dormandPrince853Integrator13.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array18, d_array19);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array32 = new double[] { 10.0d, 10.0d };
    double[] d_array33 = new double[] {  };
    dormandPrince853Integrator27.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array32, d_array33);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array44 = new double[] { 10.0d, 10.0d };
    double[] d_array45 = new double[] {  };
    dormandPrince853Integrator39.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array44, d_array45);
    int i47 = dormandPrince853Integrator39.getEvaluations();
    dormandPrince853Integrator39.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator39.clearStepHandlers();
    dormandPrince853Integrator39.clearEventHandlers();
    double[] d_array59 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array69 = new double[] { 10.0d, 10.0d };
    double[] d_array70 = new double[] {  };
    dormandPrince853Integrator64.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array69, d_array70);
    dormandPrince853Integrator39.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array59, d_array70);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator73 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.2250738585072014E-308d, 0.0d, d_array32, d_array59);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.1752011936438014d, 0.7884573603642702d, d_array19, d_array59);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array6, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test341"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-57.295779513082316d), 5.298292365610485d, 0.0d, 0.07011222389235412d);
    double d5 = dormandPrince853Integrator4.getMinReduction();
    double d6 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test342"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.6334664975200224d, (-12.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 12.016708359758104d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test343"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-127), 3);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test344"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.7613123351430517d, (-0.3862543636394d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test345"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getCount();
    int i2 = incrementor0.getMaximalCount();
    boolean b3 = incrementor0.canIncrement();
    incrementor0.setMaximalCount(0);
    boolean b6 = incrementor0.canIncrement();
    int i7 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.1959931906943526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test347"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test348"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.setMaxGrowth(0.5753506737050571d);
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver33 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler29, (-58.0d), 1.1752011936438014d, 0, univariateRealSolver33);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler35 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler35);
    org.apache.commons.math.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations37 = null;
    double[] d_array39 = null;
    double[] d_array45 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array55 = new double[] { 10.0d, 10.0d };
    double[] d_array56 = new double[] {  };
    dormandPrince853Integrator50.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array55, d_array56);
    int i58 = dormandPrince853Integrator50.getEvaluations();
    dormandPrince853Integrator50.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator50.clearStepHandlers();
    dormandPrince853Integrator50.clearEventHandlers();
    double[] d_array70 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array80 = new double[] { 10.0d, 10.0d };
    double[] d_array81 = new double[] {  };
    dormandPrince853Integrator75.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array80, d_array81);
    dormandPrince853Integrator50.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array70, d_array81);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array45, d_array81);
    // The following exception was thrown during execution in test generation
    try {
      double d85 = dormandPrince853Integrator4.integrate(firstOrderDifferentialEquations37, 0.5688133116787222d, d_array39, 0.7585682191436077d, d_array81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.5648650061879723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1944768788816189d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test350"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    int i18 = dormandPrince853Integrator4.getOrder();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    double d20 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver27 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler23, 0.0d, 1.1961889719276375d, 2147483647, univariateRealSolver27);
    dormandPrince853Integrator4.setMaxGrowth(1608.495438637974d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test351"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    double d25 = dormandPrince853Integrator4.getMaxStep();
    double d26 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler28, 0.3659071415725591d, (-0.5716362575716586d), (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.4113463532030406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test352"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-0.6603727668326518d), (-2.2629470236421625d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test353"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(7.629395E-6f, (-34), (-30));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test354"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array11 = new double[] { 10.0d, 10.0d };
    double[] d_array12 = new double[] {  };
    dormandPrince853Integrator6.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array11, d_array12);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array23 = new double[] { 10.0d, 10.0d };
    double[] d_array24 = new double[] {  };
    dormandPrince853Integrator18.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array23, d_array24);
    int i26 = dormandPrince853Integrator18.getEvaluations();
    dormandPrince853Integrator18.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator18.clearStepHandlers();
    dormandPrince853Integrator18.clearEventHandlers();
    double[] d_array38 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array48 = new double[] { 10.0d, 10.0d };
    double[] d_array49 = new double[] {  };
    dormandPrince853Integrator43.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array48, d_array49);
    dormandPrince853Integrator18.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array38, d_array49);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.2250738585072014E-308d, 0.0d, d_array11, d_array38);
    double d53 = dormandPrince853Integrator52.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.2d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test355"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.3440585709080678E43d, 0.015707963267948967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.041825789084774426d));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test356"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.2207031E-4f, 1.192093E-7f, 800.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test357"); }


    int i2 = org.apache.commons.math.util.FastMath.min(98, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test358"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.4044538046103459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.073301315165098d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test359"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.943804703516294d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test360"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.clearStepHandlers();
    double d19 = dormandPrince853Integrator4.getMaxGrowth();
    int i20 = dormandPrince853Integrator4.getOrder();
    double d21 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.setMaxEvaluations(143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.4113463532030406d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test361"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.36028165551831776d), 2.2250738585072014E-308d, 3.141592653589793d, 0.43623282787578516d);
    double d5 = dormandPrince853Integrator4.getMaxStep();
    double d6 = dormandPrince853Integrator4.getMinReduction();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler7 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler7);
    double d9 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test362"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.35205974611036456d, (-0.9952731515503572d), (-0.045757490560675115d), 0.0d);
    dormandPrince853Integrator4.setStepSizeControl((-5.551115123125783E-17d), 0.46756876099275d, (-0.6199006717693615d), 2.465190328815662E-32d);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver14 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler10, 0.19866933079506122d, 0.0d, 0, univariateRealSolver14);
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler16, 0.35205974611036456d, 0.0d, 10);
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler21, 0.0d, (-0.9955742875642764d), 9);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test363"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    int i27 = dormandPrince853Integrator4.getMaxEvaluations();
    double d28 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.setMaxEvaluations(5);
    double d31 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler32 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test364"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array11 = new double[] { 10.0d, 10.0d };
    double[] d_array12 = new double[] {  };
    dormandPrince853Integrator6.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array11, d_array12);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array25 = new double[] { 10.0d, 10.0d };
    double[] d_array26 = new double[] {  };
    dormandPrince853Integrator20.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array25, d_array26);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array37 = new double[] { 10.0d, 10.0d };
    double[] d_array38 = new double[] {  };
    dormandPrince853Integrator32.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array37, d_array38);
    int i40 = dormandPrince853Integrator32.getEvaluations();
    dormandPrince853Integrator32.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator32.clearStepHandlers();
    dormandPrince853Integrator32.clearEventHandlers();
    double[] d_array52 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array62 = new double[] { 10.0d, 10.0d };
    double[] d_array63 = new double[] {  };
    dormandPrince853Integrator57.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array62, d_array63);
    dormandPrince853Integrator32.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array52, d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.2250738585072014E-308d, 0.0d, d_array25, d_array52);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.3520597461103646d, 3.141592653589793d, d_array12, d_array52);
    dormandPrince853Integrator67.setStepSizeControl(0.0d, 0.45102681179626236d, 13.879731724872837d, 19.049875621120893d);
    int i73 = dormandPrince853Integrator67.getOrder();
    dormandPrince853Integrator67.setMinReduction(0.5635027864249266d);
    java.util.Collection collection76 = dormandPrince853Integrator67.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection76);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test365"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array11 = new double[] { 10.0d, 10.0d };
    double[] d_array12 = new double[] {  };
    dormandPrince853Integrator6.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array11, d_array12);
    int i14 = dormandPrince853Integrator6.getEvaluations();
    dormandPrince853Integrator6.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator6.clearStepHandlers();
    dormandPrince853Integrator6.clearEventHandlers();
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array36 = new double[] { 10.0d, 10.0d };
    double[] d_array37 = new double[] {  };
    dormandPrince853Integrator31.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array36, d_array37);
    dormandPrince853Integrator6.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array26, d_array37);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array49 = new double[] { 10.0d, 10.0d };
    double[] d_array50 = new double[] {  };
    dormandPrince853Integrator44.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array49, d_array50);
    int i52 = dormandPrince853Integrator44.getEvaluations();
    dormandPrince853Integrator44.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator44.clearStepHandlers();
    dormandPrince853Integrator44.clearEventHandlers();
    double[] d_array64 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array74 = new double[] { 10.0d, 10.0d };
    double[] d_array75 = new double[] {  };
    dormandPrince853Integrator69.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array74, d_array75);
    dormandPrince853Integrator44.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array64, d_array75);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator78 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.46756876099274997d, 0.3520597461103646d, d_array37, d_array75);
    double d79 = dormandPrince853Integrator78.getSafety();
    java.lang.String str80 = dormandPrince853Integrator78.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str80.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.9243436887821124d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6180696921997726d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test367"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.2717243136431622d, 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.133599350244308E7d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test368"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.8616853179202546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test369"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-13.879731724872837d));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str7 = numberIsTooSmallException6.toString();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)7.6293945E-6f, obj_array13);
    java.lang.Throwable[] throwable_array16 = maxCountExceededException15.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException6, localizable8, (java.lang.Object[])throwable_array16);
    boolean b18 = numberIsTooSmallException6.getBoundIsAllowed();
    java.lang.Number number19 = numberIsTooSmallException6.getMin();
    maxCountExceededException1.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    java.lang.Throwable[] throwable_array21 = numberIsTooSmallException6.getSuppressed();
    java.lang.Number number22 = numberIsTooSmallException6.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str7.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0L+ "'", number19.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 2.99822295029797d+ "'", number22.equals(2.99822295029797d));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test370"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.718281828459045d, (java.lang.Number)0.3520597461103646d, false);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    java.lang.String str5 = numberIsTooSmallException3.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2.718281828459045d+ "'", number4.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.718 is smaller than, or equal to, the minimum (0.352)"+ "'", str5.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.718 is smaller than, or equal to, the minimum (0.352)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test371"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.001953125f, 8.47033E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test372"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.46756876099274997d, 1.0262554452405037d, 1.233403117511217d, 0.915413117456656d);
    dormandPrince853Integrator4.clearStepHandlers();

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.7884573603642702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test374"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    dormandPrince853Integrator4.setMinReduction(3.1241411329383273d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler17 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler17);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setInitialStepSize(1.0262554452405037d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test375"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.6603727668326518d), (-0.0909530891238225d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.023701142965894317d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test376"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.4758801E27f, 1.9721527E-31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test377"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.2d, 50.24295595018073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test378"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(14.091155575971483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.0d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.2779214322810373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1304518708379572d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test380"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(0);
    incrementor1.resetCount();
    incrementor1.setMaximalCount(5);
    incrementor1.setMaximalCount(3);
    incrementor1.incrementCount();

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test381"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.9969296943379168d, number1, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException12 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable8, (java.lang.Number)3L, (java.lang.Number)(byte)100, false);
    boolean b13 = numberIsTooSmallException12.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array14 = numberIsTooSmallException12.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)9.765626E-4f, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable5, (java.lang.Object[])throwable_array14);
    java.lang.Throwable[] throwable_array17 = mathIllegalStateException16.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test382"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math.exception.DimensionMismatchException(100, 10);
    int i5 = dimensionMismatchException4.getDimension();
    int i6 = dimensionMismatchException4.getDimension();
    int i7 = dimensionMismatchException4.getDimension();
    java.lang.String str8 = dimensionMismatchException4.toString();
    java.lang.Throwable[] throwable_array9 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.8550196364002437d, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: 100 != 10"+ "'", str8.equals("org.apache.commons.math.exception.DimensionMismatchException: 100 != 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.5845301045287055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test384"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.19212802477031674d));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-0.19212802477031674d)+ "'", number2.equals((-0.19212802477031674d)));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test385"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    java.lang.String str7 = numberIsTooSmallException6.toString();
    java.lang.Number number8 = numberIsTooSmallException6.getMin();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array9);
    java.lang.Throwable[] throwable_array12 = mathIllegalArgumentException11.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"+ "'", str7.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 2.998 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0L+ "'", number8.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test386"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.99822295029797d, (java.lang.Number)0L, false);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 10, 0);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)dimensionMismatchException8);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)7.6293945E-6f, obj_array14);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext17 = maxCountExceededException16.getContext();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)maxCountExceededException16);
    java.lang.Throwable[] throwable_array19 = maxCountExceededException16.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test387"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test388"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    java.lang.String str25 = dormandPrince853Integrator4.getName();
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver30 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler26, 0.8013473087073142d, 0.0d, 101, univariateRealSolver30);
    double d32 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test389"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.48598856403145557d, 89.93103540010677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 89.93103540010677d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test390"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.setMaxEvaluations(10);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler27 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler27);
    double d29 = dormandPrince853Integrator4.getMaxGrowth();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE30 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE30, 1.6442997376812087d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test391"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.6024447430000001d, (java.lang.Number)9.341657043289802d, false);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test393"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test394"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(8.105223980198053E-8d, (-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.000000000000003d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.7585682191436077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7096833837443852d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test396"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setSafety(1.3440585709080678E43d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler15 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler15);
    double d17 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setMinReduction((-0.3576740230512749d));
    double d20 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMinReduction(0.4622149098785495d);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver28 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler24, (-57.99999999999999d), 58.76190419615136d, 143, univariateRealSolver28);
    dormandPrince853Integrator4.setMinReduction((-0.04575749056067512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.8771028714485558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.4113463532030406d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test397"); }


    double[] d_array5 = new double[] { (-1.0d), 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array15 = new double[] { 10.0d, 10.0d };
    double[] d_array16 = new double[] {  };
    dormandPrince853Integrator10.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array15, d_array16);
    int i18 = dormandPrince853Integrator10.getEvaluations();
    dormandPrince853Integrator10.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d24 = dormandPrince853Integrator10.getCurrentStepStart();
    dormandPrince853Integrator10.clearStepHandlers();
    java.util.Collection collection26 = dormandPrince853Integrator10.getStepHandlers();
    double[] d_array33 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array43 = new double[] { 10.0d, 10.0d };
    double[] d_array44 = new double[] {  };
    dormandPrince853Integrator38.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array43, d_array44);
    int i46 = dormandPrince853Integrator38.getEvaluations();
    dormandPrince853Integrator38.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator38.clearStepHandlers();
    dormandPrince853Integrator38.clearEventHandlers();
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array68 = new double[] { 10.0d, 10.0d };
    double[] d_array69 = new double[] {  };
    dormandPrince853Integrator63.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array68, d_array69);
    dormandPrince853Integrator38.setStepSizeControl(0.4362328278757851d, 2.220446049250313E-16d, d_array58, d_array69);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.017453292519943295d, 1.1752011936438014d, d_array33, d_array69);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator77 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array82 = new double[] { 10.0d, 10.0d };
    double[] d_array83 = new double[] {  };
    dormandPrince853Integrator77.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array82, d_array83);
    dormandPrince853Integrator10.setStepSizeControl((-2.0d), 0.43623282787578516d, d_array33, d_array82);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-3.1619567594510163d), (-0.9952731515503572d), d_array5, d_array33);
    dormandPrince853Integrator86.clearStepHandlers();
    java.util.Collection collection88 = dormandPrince853Integrator86.getEventHandlers();
    dormandPrince853Integrator86.setStepSizeControl(5.2213997979462405d, (-0.36028165551831776d), 1.0299151115299807d, 0.12214831466536635d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection88);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test398"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 6);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test399"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.4510268117962621d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0.4510268117962621d+ "'", number2.equals(0.4510268117962621d));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test400"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(9, 34);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test401"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    boolean b1 = incrementor0.canIncrement();
    boolean b2 = incrementor0.canIncrement();
    incrementor0.setMaximalCount((-127));
    incrementor0.resetCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException");
    } catch (org.apache.commons.math.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test402"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, 1.233403117511217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test403"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)5.298292365610484d, (java.lang.Number)Double.NaN, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test404"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-12.0d), (-7.98618867734007E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-11.999999999999998d));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test405"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.9086651845377978d, 0.5193026636397572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9086651845377978d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.39154924879877334d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test407"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 3.761409990259714d, 1.5707963267948966d, 1, univariateRealSolver23);
    double d25 = dormandPrince853Integrator4.getSafety();
    double d26 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.1897945154140188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02076583171614505d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test409"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.46756876099275d, 1.2184351455162798d, 0.24224701789254274d, (-35.51769220970895d));
    double d5 = dormandPrince853Integrator4.getSafety();
    double d6 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.7547862024037456d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test410"); }


    double d2 = org.apache.commons.math.util.Precision.representableDelta(0.0d, (-5.15378920512308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-5.15378920512308d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test411"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.9871730947148204d, 34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6959504629165056E10d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test412"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.029995502631021312d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test413"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    dormandPrince853Integrator4.setMaxEvaluations(13);
    double d20 = dormandPrince853Integrator4.getMaxGrowth();
    int i21 = dormandPrince853Integrator4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 13);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test414"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setMaxEvaluations(10);
    int i15 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.setMaxEvaluations(100);
    double d18 = dormandPrince853Integrator4.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 1.0662493839518905d, 0.9958956531456853d, 100);
    java.util.Collection collection24 = dormandPrince853Integrator4.getEventHandlers();
    java.lang.String str25 = dormandPrince853Integrator4.getName();
    dormandPrince853Integrator4.setInitialStepSize((-0.2300342812845366d));
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver32 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler28, 0.16557647109660167d, 2.0344439357957027d, (-56), univariateRealSolver32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.030004501822747616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test416"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test417"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.009964435826900873d, 1608.495438637974d, 800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test418"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.39154924879877334d, (-0.9781074883048183d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3915492487987733d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test419"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.99822295029797d, 1.1752011936438014d, 1.1752011936438014d, 1.3440585709080678E43d);
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double[] d_array10 = new double[] {  };
    dormandPrince853Integrator4.setStepSizeControl(0.4113463532030406d, (-0.36028165551831776d), d_array9, d_array10);
    int i12 = dormandPrince853Integrator4.getEvaluations();
    dormandPrince853Integrator4.setStepSizeControl(10.0d, 0.4113463532030406d, 0.9d, 2.718281828459045d);
    double d18 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver23 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler19, 2.99822295029797d, 2.718281828459045d, 3, univariateRealSolver23);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(1);
    double d28 = dormandPrince853Integrator4.getMinStep();
    int i29 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.setMinReduction(1.5608320558521287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test420"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.4847926514849239d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.24239632574246195d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test421"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(2147483647, 2);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test422"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(800.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test423"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.938499475907955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3649296112524558d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test424"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.9899924966004454d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test425"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.6837899977279208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5939777680739589d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test426"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.30105291684550584d, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

}
